MNodeService.replicate will not request new object if existing on MN
Status: New Start date: 2014-12-01

Priority: Normal Due date: 2015-01-06

Assignee: Chris Jones % Done: 0%

Category: Metacat Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version:    

Description

Discovered during auditing testing:

MNodeService.replicate first attempts to retrieve a local copy of the object.  If found locally, replicate is not called.  Checksum is then

calculated against the object.  If invalid, ServiceFailure is thrown.  This effectively prevents the CN from asking a MN to re-replicate a

replica that is invalid.  

I think the same thing happens if a local id exists but the object is not found.  This could be the situation where the MN has deleted

the object bytes but still has the metadata?  Preventing the CN from asking this MN to re-replicate the object.

History

#1 - 2013-04-02 16:04 - Skye Roseboom

I think this is a low priority issue at the moment.  Current strategy in ReplicationManager will avoid attempting to place a new replica copy on a MN

with an invalid copy of the object.  Might become more of an issue in the future.

However, this may be a policy issue for member node implementations - as to what the expectations of the replicate service are when the object is

already on the member node (but with invalid checksum or maybe actually NotFound).

#2 - 2014-10-01 21:55 - Dave Vieglais

- Due date set to 2014-12-01

- Target version set to CCI-2.0.0

- Start date set to 2014-12-01

#3 - 2015-01-06 19:43 - Skye Roseboom

- Due date changed from 2014-12-01 to 2015-01-06

- Target version changed from CCI-2.0.0 to Release Backlog
